### Enumeration

# Gtk SorterChange

#### Declaration

    enum Gtk.SorterChange

#### Description [src]

Describes changes in a sorter in more detail and allows users to optimize resorting.

#### Members

`GTK_SORTER_CHANGE_DIFFERENT`

  The sorter change cannot be described by any of the other enumeration values.

  - Value: `0`
  - Available since: 4.0
`GTK_SORTER_CHANGE_INVERTED`

  The sort order was inverted. Comparisons that returned `GTK_ORDERING_SMALLER` now return `GTK_ORDERING_LARGER` and vice versa. Other comparisons return the same values as before.

  - Value: `1`
  - Available since: 4.0
`GTK_SORTER_CHANGE_LESS_STRICT`

  The sorter is less strict: Comparisons may now return `GTK_ORDERING_EQUAL` that did not do so before.

  - Value: `2`
  - Available since: 4.0
`GTK_SORTER_CHANGE_MORE_STRICT`

  The sorter is more strict: Comparisons that did return `GTK_ORDERING_EQUAL` may not do so anymore.

  - Value: `3`
  - Available since: 4.0